MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000214Soldat Dedicated ServerScripting Corepublic2012-05-20 18:182015-04-16 00:28
Reporterutkesmer 
Assigned ToShoozza 
PrioritylowSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.7.3 
Target VersionFixed in Version2.7.4 
Summary0000214: WriteConsole doesn't write an integer unless there is a written string near it.
DescriptionI'm going to explain this very shortly.

This line below, doesn't write anything to console.

WriteConsole(ID, INTToSTR(D), GOLD);

D is an integer and has a value of 0".
GOLD is a constant and defined as "$FFD700".

When I change the line as shown below, it works.

WriteConsole(ID, INTToSTR(D)+'asd', GOLD);

This one works but I, of course didn't want that "asd" so I tried the line below.

WriteConsole(ID, INTToSTR(D)+'', GOLD);

This doesn't work too. Then, I put a space there as you can see below.

WriteConsole(ID, INTToSTR(D)+' ', GOLD);

This works.

I think it's all clear.
Steps To ReproduceLoad the script I added here. It won't write anything. But if you do the changes I mentioned, it will. You know what to do of course, just filling the form.
TagsNo tags attached.
Attached Files? file icon asd.pas [^] (195 bytes) 2012-05-20 18:18

- Relationships

-  Notes
(0001504)
Shoozza (administrator)
2012-05-22 19:17

Soldat only prints text which has at least 2 chars.
Meaning text that has less then 2 chars will not get printed with WriteConsole.

I'm not sure why this restriction is there.
Maybe some of the scripters knows when and why it was added.

Do we need support for printing empty lines?
Or would 1 char limitation be ok?
(0001505)
utkesmer (reporter)
2012-05-22 19:31

It occured after 1.6.0 or maybe 1.6.1 or 1.6.2, I don't know which one but I can say that there was absolutely no such restriction on 1.5.
(0001507)
Shoozza (administrator)
2012-05-22 19:38

Please reply to all questions not just one.
(0001508)
utkesmer (reporter)
2012-05-22 19:46

Well, 1 charecter limitation would be enough for me, I haven't needed to print an empty line so far. But it's clearly not my decision, that's why I left your last questions unanswered in my first message.

I wonder why such restriction was brought.
(0001509)
Shoozza (administrator)
2012-05-22 22:59

Removed minimum line length restriction.

- Issue History
Date Modified Username Field Change
2012-05-20 18:18 utkesmer New Issue
2012-05-20 18:18 utkesmer File Added: asd.pas
2012-05-22 18:58 Shoozza Status new => confirmed
2012-05-22 19:17 Shoozza Note Added: 0001504
2012-05-22 19:17 Shoozza Status confirmed => feedback
2012-05-22 19:31 utkesmer Note Added: 0001505
2012-05-22 19:31 utkesmer Status feedback => new
2012-05-22 19:38 Shoozza Note Added: 0001507
2012-05-22 19:38 Shoozza Status new => feedback
2012-05-22 19:46 utkesmer Note Added: 0001508
2012-05-22 19:46 utkesmer Status feedback => new
2012-05-22 20:31 Shoozza Priority immediate => low
2012-05-22 20:31 Shoozza Severity major => tweak
2012-05-22 22:59 Shoozza Note Added: 0001509
2012-05-22 22:59 Shoozza Status new => resolved
2012-05-22 22:59 Shoozza Fixed in Version => 2.7.4
2012-05-22 22:59 Shoozza Resolution open => fixed
2012-05-22 22:59 Shoozza Assigned To => Shoozza


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker